@font-face {
    font-family: 'Barlow Semi Condensed';
    src: url(./fonts/BarlowSemiCondensed-Bold.ttf)
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Arial, Helvetica, sans-serif;
}

html {
    scroll-behavior: smooth;
}

body {
    overflow-x: hidden;
}

.section {
    width: 100%;
    height: 100vh;
    background-image: linear-gradient(rgb(12, 3, 51, 0.3), rgb(12, 3, 51, 0.3));
    position: relative;
    padding: 0 5%;
    display: flex;
    align-items: center;
    justify-content: center;
}

nav {
    width: 100%;
    position: absolute;
    top: 0;
    left: 0;
    padding: 20px 6%;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

nav .logo {
    width: 170px;
}

nav ul li {
    list-style: none;
    display: inline-block;
    margin-left: 40px;
}

.bi-snow {
    color: rgb(255, 255, 255);
}

nav ul li a {
    text-decoration: none;
    color: rgb(255, 255, 255);
    font-size: 1.3rem;
    font-family: Arial, Helvetica, sans-serif;
}

.menu>li::after {
    content: "";
    width: 0%;
    height: 5px;
    background-color: orange;
    display: block;
    margin: auto;
    transition: 0.2s;
}

.menu>li:hover:after {
    width: 100%;
}

/*  下拉選單 */
.sub-munu-1 {
    display: none;
}

.menu li:hover .sub-munu-1 {
    display: block;
    position: absolute;
    background: #005596;
    margin-top: 3px;
    margin-left: -8px;
}

.menu li:hover .sub-munu-1 li {
    display: block;
    margin: 10px;
    width: 180px;
    padding: 10px;
    border-bottom: 1px solid white;
    border-radius: 0;
    text-align: left;
    line-height: 26px;
}

.menu li:hover .sub-munu-1 li:last-child {
    border-bottom: none;
}

/*  主要標題 */
.content {
    text-align: center;
}

.content h1 {
    font-size: 200px;
    color: rgb(255, 255, 255);
    font-weight: 600;
    transition: 0.4s;
}

.content h1:hover {
    -webkit-text-stroke: 2px white;
    color: transparent;
}

.content a {
    text-decoration: none;
    display: inline-block;
    color: rgb(255, 255, 255);
    font-size: 26px;
    border: 2px solid rgb(255, 255, 255);
    padding: 14px 60px;
    border-radius: 40px;
    margin-top: 20px;
    font-family: Arial, Helvetica, sans-serif;

}

.content a:hover {
    background-color: rgba(0, 85, 150, 0.7);
    transition: 0.3s;
}


/*  影片 */
.back-video {
    position: absolute;
    right: 0;
    bottom: 0;
    z-index: -1;
}

/*  影片響應比例 */
@media(min-aspect-ratio:16/9) {
    .back-video {
        width: 100%;
        height: auto;
    }
}

@media(max-aspect-ratio:16/9) {
    .back-video {
        width: auto;
        height: 100%;
    }
}

/* 隱藏Icons */
nav .bi {
    display: none;
}


@media screen and (max-width:1290px) {
    .content h1 {
        font-size: 120px;
    }

    nav ul {
        font-size: 16px;
    }

}

/*  手機響應 */
@media (max-width:700px) {
    .content h1 {
        font-size: 62px;
    }

    .content a {
        font-size: 20px;
        padding: 10px 40px;
    }

    nav {
        height: 1rem;
        padding-top: 2.5rem;
    }

    .logo {
        margin-top: 2.5rem;
    }

    nav ul li {
        display: block;
    }

    .nav-links {
        position: absolute;
        background: #005596;
        height: 100vh;
        width: 200px;
        top: 0;
        /* right: 0; 原本定位在右邊，下面-200隱藏 */
        right: -200px;
        text-align: left;
        z-index: 2;
        line-height: 40px;
        padding: 30px 10px;
        transition: 1s;
    }

    .menu a {
        font-size: 1rem;
    }

    nav .bi {
        display: block;
        color: white;
        margin: 10px;
        font-size: 30px;
        cursor: pointer;
    }
}

/* ---------- 螢幕右下幫助  ---------- */
#button1 {
    position: fixed;
    bottom: 10px;
    right: 7px;
    z-index: 99;
    border: none;
    outline: none;
    background-color: #FF53F7;
    color: white;
    cursor: pointer;
    font-size: 18px;
    padding: 6px 12px;
    border-radius: 16px;
}

#button1:hover {
    background-image: linear-gradient(135deg, #FF53F7, #3aaefc);
}

/* ---------- Course  ---------- */
#explore {
    scroll-behavior: smooth;
    transition: 0.3s;
}

.course {
    width: 90%;
    margin: auto;
    text-align: center;
    padding-top: 100px;
}

.course h1 {
    /* font-size: 80px; */
    font-size: 62px;
    font-weight: 600;
    color: #005596;
}

.course h2 {
    color: #777;
    font-size: 20px;
    font-weight: 300;
    padding-top: 20px;
}

.course-col p {
    color: #777;
    font-size: 20px;
    font-weight: 300;
    line-height: 22px;
    padding: 10px;
    font-family: Arial, Helvetica, sans-serif;
    text-align: left;
}

.row {
    margin-top: 4%;
    display: flex;
    justify-content: space-between;

}

.course-col {
    flex-basis: 31%;
    /* background: #d4fdff; */
    background: rgba(3, 115, 201, 0.1);
    border-radius: 25px;
    margin-bottom: 5%;
    padding: 20px 12px;
    box-sizing: border-box;
    transition: 0.5s;
}

.course-col h3 {
    text-align: center;
    font-weight: 600;
    font-size: 24px;
    margin: 10px 0;
    color: #005596;
}

.age {
    display: block;
    color: #8445d8;
    font-weight: bold;
    margin-top: 10px;
}

.course-col:hover {
    box-shadow: 0 0 15px 0 rgba(0, 0, 0, 0.5);
}

@media(max-width:700px) {
    .row {
        flex-direction: column;
    }
}

.course-col img {
    width: 100%;
    position: relative;
    bottom: 2%;
    margin: 20px auto;
}

/* ---------- 工商時間  ---------- */

.sell {
    width: 90%;
    margin: auto;
    text-align: center;
    padding-bottom: 50px;
    font-family: Barlow Semi Condensed;
}

.sell-col {
    flex-basis: 32%;
    margin-bottom: 100px;
    display: flex;
    /*AI*/
    flex-direction: column;
    /*AI*/
}

.sell-col a {
    width: 100%;
    /*AI*/
    text-decoration: none;
    display: inline-block;
    color: black;
    font-size: 26px;
    border: 2px solid #ffce00;
    /* padding: 28.6px 44px 28.6px 48px; */
    padding: 1.4rem 0.8rem 1.2rem 0.4rem;
    border-radius: 40px;
    margin-top: 20px;
    font-family: Barlow Semi Condensed;
    word-break: keep-all;
    white-space: nowrap;
}

.sell-col .bi {
    color: #0373c9;
    padding-right: 20px;
}

.sell-col a:hover {
    background-color: #ffce00;
}

.sell h3 {
    font-size: 25px;
}

.sell p {
    color: #777;
    font-size: 20px;
    font-weight: 300;
    line-height: 22px;
    padding: 10px 100px;
    line-height: 28px;
}

.learnMore>a {
    text-decoration: none;
    color: #0373c9;
    font-size: 20px;
}

.sell .bi-arrow-right {
    color: #ff53f7;
    font-size: 1.8rem;
    transition: 0.3s;
    cursor: pointer;
    display: inline-block;
    font-weight: bold;
    padding-left: 10px;
    position: relative;
    top: 3px;
}

.sell h3:hover .bi-arrow-right {
    transform: translateX(5px);
}

@media (max-width:1230px) {
    .row {
        flex-direction: column;
    }

    .sell-col {
        margin-bottom: 30px;
    }

    .sell h3 {
        margin-top: 20px;
    }
}

@media (max-width:768px) {
    .row {
        flex-direction: column;
    }

    .sell-col {
        margin-bottom: 25px;
    }

    .sell-col a {
        font-size: 1.2rem;
    }

    .sell h3 {
        margin-top: 20px;
    }

    .sell p {
        padding: 0px 20px;
        text-align: left;
    }
}

/* ---------- mountain   ---------- */
.mountain {
    width: 100%;
    margin: auto;
    text-align: left;
    padding-bottom: 50px;
}

.mountain-desc {
    position: relative;
}

.mountain-desc img {
    width: 100vw;
    height: auto;
    overflow-x: hidden;
}

.mountain h1 {
    background: linear-gradient(225deg, #99d6ed, #8445d8);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    font-size: 5vw;
    word-wrap: break-word;
}

.h1-background {
    position: absolute;
    bottom: 0px;
    left: 0px;
    height: 26%;
    width: 38%;
    background-color: white;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
}

/* ---------- circle ---------- */
.circle {
    width: 80%;
    margin: auto;
    padding-top: 30px;
    padding-bottom: 50px;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
}

.circle-col {
    width: 240px;
    height: 240px;
    border-radius: 50%;
    background: linear-gradient(225deg, #229164, #31c187, #48b235);
    text-align: center;
    margin: 80px 20px;
}

.innercircle {
    background-color: white;
    width: 210px;
    height: 210px;
    border-radius: 50%;
    margin-top: 15px;
    margin-left: 15px;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    color: black;
    text-align: center;
}

.inntext {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: #229164;
    font-size: 2.8rem;
    font-weight: bold;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.unit {
    position: relative;
    top: 30px;
    font-size: 1.2rem;
    color: gray;
    font-weight: 300;
}

.text {
    text-align: center;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    font-weight: 600;
    color: #229164;
    width: 100%;
    font-size: 1.2rem;
    margin-top: 30px;
}

@media(max-width:790px) {
    .circle {
        width: 100%;
        margin: 10px 0px 20px 0px;
    }

    .circle-col {
        margin: 30px;
        transform: scale(0.8);
    }
}

/* ----------  map ---------- */

.maprow {
    width: 100%;
    margin: auto;
    padding-top: 50px;
    justify-content: center;
    display: flex;
    flex-wrap: wrap;
    background: linear-gradient(to top, #deeff6, white);
    padding-bottom: 50px;
}

.mapcol {
    flex-basis: 20%;
    margin-bottom: 3%;
    padding: 10px 12px;
    height: 600px;
}

.mapcol2 {
    flex-basis: 20%;
    margin-bottom: 5%;
    padding: 40px 12px;
    height: 600px;
}

.first {
    width: 500px;
    background-color: white;
    height: 600px;
    position: absolute;
    z-index: 2;
}

.firsttext {
    height: 200px;
    width: 400px;
    position: relative;
    top: -204px;
    background-color: white;
    padding: 50px 20px 100px 20px;
    font-size: 1.5rem;
    font-weight: 600;
    color: black;
}

.first>img {
    width: 98%;
    height: 600px;
    object-fit: cover;
    object-position: 20% 100%;
}

.first a {
    text-decoration: none;
}

.first .bi-arrow-right {
    display: block;
    float: right;
    padding: 0.5em 0.1em 0.1em;
    color: #ff53f7;
    font-size: 70px;
    transition: 0.3s;
    cursor: pointer;
}

.firsttext:hover .bi-arrow-right {
    transform: translateX(30px);
}

.sec {
    width: 500px;
    height: 600px;
    background: linear-gradient(225deg, #99d6ed, #8445d8);
    transform: translate(10px, 12px);
    z-index: 1;
}

@media screen and (max-width:790px) {
    .maprow {
        padding-top: 30px;
        flex-direction: column;
        align-items: center;
    }

    .mapcol,
    .mapcol2 {
        transform: scale(0.9);
        
    }
}

/* ---------- footer  ---------- */
footer {
    width: 100%;
    position: relative;
    /* 定位有修改*/
    bottom: 0;
    background: linear-gradient(to bottom, #005596, #0373c9);
    color: white;
    padding: 100px 0 30px;
    font-size: 20px;
    line-height: 20px;
}

.footerrow {
    width: 72%;
    margin: auto auto 30px auto;
    display: flex;
    flex-wrap: wrap;
    align-items: flex-start;
    justify-content: space-between;
}

.footercol {
    flex-basis: 40%;
    padding: 10px;
}

.footerlogo {
    height: 150px;
}

.footercol h3 {
    width: fit-content;
    margin-bottom: 40px;
    position: relative;
    font-size: 1.8rem;
}

.getUP::before {
    content: "";
    width: 20%;
    height: 10px;
    display: block;
    border: 0;
    border-top: 1px white solid;
    font-weight: 200;
}

.footercol h6 {
    font-weight: 100;
    text-align: justify;
}

/*  icons動畫 */
.footercol .bi-arrow-bar-right {
    color: #ff53f7;
    font-size: 1.8rem;
    transition: 0.3s;
    position: absolute;
    margin-left: 10px;
    cursor: pointer;
}

.signUp:hover .bi-arrow-bar-right {
    transform: translateX(7px);
}

.footercol p {
    line-height: 30px;
}

.email-id {
    width: fit-content;
    border-bottom: 1px solid #ccc;
    margin: 20px 0;
}

.info {
    line-height: 2px;
}

.info p:nth-child(3) {
    font-size: 19px;
}

.footerul li {
    list-style: none;
    margin-bottom: 12px;
    padding: 3px 0px;
    margin-top: 2px;
}

.footerul li a,
.signUp a {
    text-decoration: none;
    color: white;
    font-size: 30px;
}

.social-icons {
    text-align: left;
    line-height: 40px;
    font-size: 30px;
    margin-right: 0px;
    cursor: pointer;
}

hr {
    width: 90%;
    border: 0;
    border-bottom: 1px solid white;
    margin: 20px auto;
}

.copyright {
    text-align: center;
    line-height: 25px;
    margin-bottom: 0px;
}

@media(max-width:970px) {
    footer {
        bottom: unset;
    }

    .footercol {
        flex-basis: 100%;
    }

    .footercol h3 {
        font-size: 1.7rem;
    }
}